From 963917a3565466832a3b2fc22e9285d34a0bf944 Mon Sep 17 00:00:00 2001
From: Petri Latvala <petri.latvala@intel.com>
Date: Thu, 28 Oct 2021 11:05:31 +0300
Subject: [PATCH] lib/meson.build: Fix underscorify call
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

f.underscorify() is correct, f.underscorify(f) is an error that later
meson versions don't like at all.

Closes: https://gitlab.freedesktop.org/drm/igt-gpu-tools/-/issues/107
Fixes: 588555f77909 ("lib/i915: Extract helpers for determining scheduler capabilities")
Cc: Arkadiusz Hiler <arek@hiler.eu>
Signed-off-by: Petri Latvala <petri.latvala@intel.com>
Reviewed-by: José Roberto de Souza <jose.souza@intel.com>
---
 lib/meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lib/meson.build b/lib/meson.build
index c3080fc8..297b0ad2 100644
--- a/lib/meson.build
+++ b/lib/meson.build
@@ -155,7 +155,7 @@ lib_version = vcs_tag(input : 'version.h.in', output : 'version.h',
 
 lib_intermediates = []
 foreach f: lib_sources
-    name = f.underscorify(f)
+    name = f.underscorify()
     lib = static_library('igt-' + name,
 	[ f, lib_version ],
 	include_directories: inc,
-- 
GitLab

